Index: configure
===================================================================
RCS file: /cvsroot/pgsql-server/configure,v
retrieving revision 1.359
diff -c -c -r1.359 configure
*** configure	13 May 2004 01:44:59 -0000	1.359
--- configure	13 May 2004 22:56:38 -0000
***************
*** 17974,17998 ****
  ac_config_links="$ac_config_links src/backend/port/dynloader.c:src/backend/port/dynloader/${template}.c src/backend/port/pg_sema.c:${SEMA_IMPLEMENTATION} src/backend/port/pg_shmem.c:${SHMEM_IMPLEMENTATION} src/include/dynloader.h:src/backend/port/dynloader/${template}.h src/include/pg_config_os.h:src/include/port/${template}.h src/Makefile.port:src/makefiles/Makefile.${template}"
  
  
- # Links sometimes fail undetected on Mingw -
- # so here we detect it and warn the user
- case $host_os in mingw*)
-  for linktarget in \
- 	src/backend/port/tas.s \
- 	src/backend/port/dynloader.c \
- 	src/backend/port/pg_sema.c \
- 	src/backend/port/pg_shmem.c \
- 	src/include/dynloader.h \
- 	src/include/pg_config_os.h \
- 	src/Makefile.port
-  do
- 	# test -e works for symlinks in the MinGW console
- 	test -e $linktarget || { echo "$as_me:$LINENO: WARNING: *** link for $linktarget failed - please fix by hand" >&5
- echo "$as_me: WARNING: *** link for $linktarget failed - please fix by hand" >&2;}
-  done
- 	;;
- esac
- 
  ac_config_headers="$ac_config_headers src/include/pg_config.h"
  
  
--- 17974,17979 ----
***************
*** 19200,19203 ****
--- 19181,19197 ----
    # would make configure fail if this is the last instruction.
    $ac_cs_success || { (exit 1); exit 1; }
  fi
+ 
+ 
+ # Links sometimes fail undetected on Mingw -
+ # so here we detect it and warn the user
+ case $host_os in mingw*)
+ for FILE in "$CONFIG_LINKS"
+  do
+ 	# test -e works for symlinks in the MinGW console
+ 	test -e `expr "$FILE" : '\(^:*\)'` || { echo "$as_me:$LINENO: WARNING: *** link for $FILE - please fix by hand" >&5
+ echo "$as_me: WARNING: *** link for $FILE - please fix by hand" >&2;}
+  done
+ 	;;
+ esac
  
Index: configure.in
===================================================================
RCS file: /cvsroot/pgsql-server/configure.in,v
retrieving revision 1.347
diff -c -c -r1.347 configure.in
*** configure.in	13 May 2004 01:45:02 -0000	1.347
--- configure.in	13 May 2004 22:56:39 -0000
***************
*** 1236,1263 ****
    src/Makefile.port:src/makefiles/Makefile.${template}
  ])
  
  # Links sometimes fail undetected on Mingw - 
  # so here we detect it and warn the user
  case $host_os in mingw*)
!  for linktarget in \
! 	src/backend/port/tas.s \
! 	src/backend/port/dynloader.c \
! 	src/backend/port/pg_sema.c \
! 	src/backend/port/pg_shmem.c \
! 	src/include/dynloader.h \
! 	src/include/pg_config_os.h \
! 	src/Makefile.port
   do
  	# test -e works for symlinks in the MinGW console
! 	test -e $linktarget || AC_MSG_WARN([*** link for $linktarget failed - please fix by hand])
   done
  	;;
  esac
  
- AC_CONFIG_HEADERS([src/include/pg_config.h],
- [
- # Update timestamp for pg_config.h (see Makefile.global)
- echo >src/include/stamp-h
- ])
- 
- AC_OUTPUT
--- 1236,1257 ----
    src/Makefile.port:src/makefiles/Makefile.${template}
  ])
  
+ AC_CONFIG_HEADERS([src/include/pg_config.h],
+ [
+ # Update timestamp for pg_config.h (see Makefile.global)
+ echo >src/include/stamp-h
+ ])
+ 
+ AC_OUTPUT
+ 
  # Links sometimes fail undetected on Mingw - 
  # so here we detect it and warn the user
  case $host_os in mingw*)
! for FILE in "$CONFIG_LINKS"
   do
  	# test -e works for symlinks in the MinGW console
! 	test -e `expr "$FILE" : '\([^:]*\)'` || AC_MSG_WARN([*** link for $FILE - please fix by hand])
   done
  	;;
  esac
  
